darcs

Issue 286 wish: darcs dist --tag

Title wish: darcs dist --tag
Priority feature Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, gh, kowey, shicks, thorkilnaur, tommy
Assigned To
Topics ProbablyEasy

Created on 2006-10-11.12:23:56 by kowey, last changed 2010-03-20.13:15:57 by gh.

Messages
msg1060 (view) Author: kowey Date: 2006-10-11.12:23:48
Import of RT #351

Tommy
-----
darcs dist should take a --tag option
so I can create a dist from a tagged versoin of a repo.
	
David
-----
Agreed.
msg1161 (view) Author: shicks Date: 2006-11-01.05:14:37
So I'm thinking about trying to implement this one, if indeed it is easy. 
Currently (from what I can see) darcs dist just copies the pristine tree and
tars it.  But presumably to allow --tag, it would need to effectively darcs get
the repo into a temp location before tarring it up.  Is it okay to just compose
the two operations (i.e. (command_command get) (WorkDir tempdir:opts)
[formerdir], change directory, and then dist_cmd inside a withRepoLock? 
Otherwise, I guess it would need to turn the copied pristine tree into a full
repo so that the ...RemovePatch functions would work (I'm not quite so sure how
to go about that part, other than just copying massive amounts of code from
darcs get).  Or is there a better way than either of these?

-steve
msg1167 (view) Author: droundy Date: 2006-11-01.21:06:40
On Wed, Nov 01, 2006 at 05:14:45AM +0000, Stephen Hicks wrote:
> So I'm thinking about trying to implement this one, if indeed it is easy. 
> Currently (from what I can see) darcs dist just copies the pristine tree and
> tars it.  But presumably to allow --tag, it would need to effectively darcs get
> the repo into a temp location before tarring it up.  Is it okay to just compose
> the two operations (i.e. (command_command get) (WorkDir tempdir:opts)
> [formerdir], change directory, and then dist_cmd inside a withRepoLock? 
> Otherwise, I guess it would need to turn the copied pristine tree into a full
> repo so that the ...RemovePatch functions would work (I'm not quite so sure how
> to go about that part, other than just copying massive amounts of code from
> darcs get).  Or is there a better way than either of these?

There's code in darcs diff (diff_command.lhs, as I recall) that does
basically this work.  It's reasonably high-level, with the interesting (and
complicated) code being (I believe) in Match.lhs.  So I think you could
probably use that as a starting point in looking at how to do this.
-- 
David Roundy
Dept. of Physics
Oregon State University
msg10315 (view) Author: gh Date: 2010-03-20.13:15:55
This actually works with darcs HEAD.
History
Date User Action Args
2006-10-11 12:23:56koweycreate
2006-10-31 08:38:57shickssetnosy: + shicks
2006-11-01 05:14:45shickssetstatus: unread -> unknown
nosy: droundy, tommy, kowey, shicks
messages: + msg1161
2006-11-01 21:06:41droundysetnosy: droundy, tommy, kowey, shicks
messages: + msg1167
2007-07-23 14:09:58koweysettopic: - FromRequestTracker
nosy: + beschmi
2008-02-09 18:18:11markstossetpriority: feature -> wishlist
status: unknown -> deferred
title: darcs dist --tag -> wish: darcs dist --tag
nosy: droundy, tommy, beschmi, kowey, shicks
2009-08-06 17:41:51adminsetnosy: + markstos, jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, thorkilnaur, - droundy, shicks
2009-08-06 20:38:57adminsetnosy: - beschmi
2009-08-10 21:56:23adminsetnosy: + shicks, - markstos, darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-11 00:28:38koweysetstatus: deferred -> unknown
nosy: tommy, kowey, simon, shicks, thorkilnaur, dmitry.kurochkin
2009-08-23 00:35:57koweysetpriority: wishlist -> feature
status: unknown -> needs-implementation
nosy: tommy, kowey, simon, shicks, thorkilnaur, dmitry.kurochkin
2009-08-25 17:55:27adminsetnosy: + darcs-devel, - simon
2009-08-27 14:29:52adminsetnosy: tommy, kowey, darcs-devel, shicks, thorkilnaur, dmitry.kurochkin
2010-03-20 13:15:57ghsetstatus: needs-implementation -> resolved
nosy: + gh
messages: + msg10315